- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FCDController Class Reference
[COLLADA Document Geometry Entity]

A generic COLLADA controller. More...

`#include <FCDController.h>`

Inheritance diagram for FCDController:

List of all members.

## Public Member Functions
| FCDController (FCDocument *document)
| Constructor: do not use directly.
virtual | ~FCDController ()
| Destructor.
virtual Type | GetType () const
| Retrieves the entity class type.
bool | IsSkin () const
| Retrieves whether this controller is a skin controller.
bool | IsMorph () const
| Retrieves whether this controller is a morph controller.
FCDSkinController * | CreateSkinController ()
| Sets the type of this controller to a skin controller.
FCDMorphController * | CreateMorphController ()
| Sets the type of this controller to a morph controller.
FCDSkinController * | GetSkinController ()
| Retrieves the skin controller.
const FCDSkinController * | GetSkinController () const
| See above.
FCDMorphController * | GetMorphController ()
| Retrieves the morph controller.
const FCDMorphController * | GetMorphController () const
| See above.
FCDEntity * | GetBaseTarget ()
| Retrieves the base target entity for this controller.
const FCDEntity * | GetBaseTarget () const
| See above.
FCDGeometry * | GetBaseGeometry ()
| Retrieves the base target geometry for this controller.
const FCDGeometry * | GetBaseGeometry () const
| See above.
FCDController * | GetBaseGeometryController ()
| Retrieves the lowest controller on this stack.
const FCDController * | GetBaseGeometryController () const
| See above.

## Detailed Description

A generic COLLADA controller.

A COLLADA controller is used to influence a mesh. COLLADA defines two types of controller: skins (FCDSkinController) and morphers (FCDMorphController).

## Constructor & Destructor Documentation

FCDController::FCDController | ( | FCDocument * | document | ) |

  | Constructor: do not use directly. Instead, use the FCDLibrary::AddEntity function. Parameters:
  | document | The COLLADA document that owns the controller.

## Member Function Documentation

FCDMorphController* FCDController::CreateMorphController | ( |  | ) |

| Sets the type of this controller to a morph controller. This function will release any previously created morpher or skin. Returns: The new morph controller.

FCDSkinController* FCDController::CreateSkinController | ( |  | ) |

| Sets the type of this controller to a skin controller. This function will release any previously created morpher or skin. Returns: The new skin controller.

FCDGeometry* FCDController::GetBaseGeometry | ( |  | ) | `[inline]`

| Retrieves the base target geometry for this controller. Controllers can be chained together. This function allows you to retrieve the base target geometry, if there is one. Returns: The base target geometry. This pointer will be NULL if no base target is defined or if the base target entity is not a geometry.

FCDController* FCDController::GetBaseGeometryController | ( |  | ) | `[inline]`

| Retrieves the lowest controller on this stack. Controllers can be chained together. This function allows you to retrieve the controller assigned to the base target geometry. Returns: The base controller. This pointer will be NULL if no base target is defined or if the base target entity is not a geometry.

FCDEntity* FCDController::GetBaseTarget | ( |  | ) |

| Retrieves the base target entity for this controller. The base target entity may be another controller or a geometry entity. To change the base target, use the FCDMorphController::SetBaseTarget or the FCDSkinController::SetTarget functions. Returns: The base target entity. This pointer will be NULL if no base target is defined.

FCDMorphController* FCDController::GetMorphController | ( |  | ) | `[inline]`

| Retrieves the morph controller. This pointer is only valid for skins. To verify that this is a morpher, check the HasMorphController function. Returns: The morph controller. This pointer will be NULL, if the controller is not a morpher.

FCDSkinController* FCDController::GetSkinController | ( |  | ) | `[inline]`

| Retrieves the skin controller. This pointer is only valid for skins. To verify that this is a skin, check the HasSkinController function. Returns: The skin controller. This pointer will be NULL, if the controller is not a skin.

virtual Type FCDController::GetType | ( |  | ) | const`[inline, virtual]`

| Retrieves the entity class type. This function is a part of the FCDEntity interface. Returns: The entity class type: CONTROLLER. Reimplemented from FCDEntity.

bool FCDController::IsMorph | ( |  | ) | const`[inline]`

| Retrieves whether this controller is a morph controller. Returns: Whether this controller is a morph controller.

bool FCDController::IsSkin | ( |  | ) | const`[inline]`

| Retrieves whether this controller is a skin controller. Returns: Whether this controller is a skin controller.

The documentation for this class was generated from the following file:

- FCDocument/FCDController.h